SourceForge has been redesigned. Learn more.
Close

#32 Recursive Parent Directory If Server Uses Full URIs In HREFs

closed-fixed
nobody
None
5
2006-02-14
2003-11-25
No

When I use davfs to mount my server (Hyperwave IS/6),
every directory is shown as a member of itself.

E.g. I have the following collections on my server:

dav
+ dav01
+ dav02
+ dav03

When I mount the /dav collection, a non-existant
directory "dav" is shown beneath it:

> mount.davfs http://webdav.hyperwave.com:88/dav /dav
> ls -l /dav/
total 0
drwxr-xr-x 1 root root 0 Oct 14 13:31 dav
drwxr-xr-x 1 root root 0 Oct 14 13:31
dav01
drwxr-xr-x 1 root root 0 Oct 14 13:31
dav02
drwxr-xr-x 1 root root 0 Oct 14 13:31
dav03

It seems the problem is that my server responds to
PROPFIND requests with the full URI in the href
property, i.e.:

PROPFIND /dav/ HTTP/1.1
Depth: 1

HTTP/1.1 207 Multi-Status
Content-Type: text/xml; charset="utf-8"
[...]

<?xml version="1.0" encoding="utf-8" ?>
<a:multistatus xmlns:a="DAV:">
<a:response>
<a:href>http://webdav.hyperwave.com:88/dav/</a:href>
[...]
</a:response>
<a:response>
<a:href>http://webdav.hyperwave.com:88/dav/dav01/</a:href>
[...]

I guess davfs fails to recognize that
"http://webdav.hyperwave.com:88/dav/" is the same as
"/dav/", and therfore not a member of the parent
collection.

If I configure the server to respond only with the
absolute path, e.g.

<a:href>/dav/</a:href>
<a:href>/dav/dav01/</a:href>

everything works fine.

Discussion

  • Anonymous

    Anonymous - 2004-03-04

    Patch for the described problem. Use at your own risk.

     
  • Anonymous

    Anonymous - 2004-03-04

    Logged In: YES
    user_id=672334

    Since nobody here seems to care about this, I'll provide a
    patch for this myself. It's more kind of a quick'n'dirty
    hack, but it works for me, at least.

     
  • Werner Baumann

    Werner Baumann - 2006-02-14
    • status: open --> closed-fixed
     

Log in to post a comment.